#include<iostream>

using namespace std;


bool funkcija(int n,int m,int k){
    int mg=n/k;   //svaka grupa ima
    int pc=n%k;   //na ovoliko grupa se dodaje po 1 clan
    int zv=pc*(mg+1)*(mg+2)/2;
    int zm=(k-pc)*(mg+1)*(mg)/2;
    if(zv+zm<=m)
        return true;
    else
        return false;

}


int main()
{
    int t;
    int n, m, k;
    cin>>t;
    int x[t];
    for (int i=0;i<t;i++){
        cin>>n>>m>>k;
        if(funkcija(n,m,k))
            x[i]=1;
        else
            x[i]=0;
    }
    for(int i=0;i<t;i++){
        if(x[i])
            cout<<"Tak"<<endl;
        else
            cout<<"Nie"<<endl;;
    }
return 0;
}